/* ----------------------------------------
  Footer
---------------------------------------- */

.footer {
  color: #fff;
}

.footer-inner {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 16px;
}

.footer-main {
  background: #F72E52;
  padding: 40px 0 17px;
  text-align: center;
}

.footer-logo {
  width: 237px;
  margin: 0 auto 38px;
  display: block;
}

.footer-logo-img {
  width: 100%;
}

.footer-nav {
  margin-bottom: 30px;
}

.footer-nav-list {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px 18px;
}

.footer-nav-link {
  color: inherit;
  text-decoration: none;
  font-size: 12px;
  line-height: 1.3;
  white-space: nowrap;
  display: inline-flex;
  align-items: center;
  gap: 6px;
  transition: opacity 0.3s ease;
}

.footer-nav-link:hover {
  opacity: 0.8;
}

/* 遷移先に応じてアイコンを付与（PDF / 別窓） */
.footer-nav-link::after {
  content: "";
  width: 15px;
  height: 15px;
  display: inline-block;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  transform: translateY(-2px) translateX(-3px);
}

/* PDF（優先） */
.footer-nav-link[href$=".pdf" i]::after {
  background-image: url("/assets/img/common/shared/icon-pdf-white.svg");
}

/* 別窓（PDF以外） */
.footer-nav-link[target="_blank"]:not([href$=".pdf" i])::after {
  width: 14px;
  height: 14px;
  background-image: url("/assets/img/common/shared/icon-blank-white.svg");
}

/* アイコン不要なリンク */
.footer-nav-link:not([target="_blank"]):not([href$=".pdf" i])::after {
  content: none;
}

.footer-note {
  margin: 0;
  padding-top: 20px;
  font-size: 12px;
  line-height: 1.7;
  border-top: 1px solid rgba(255,255,255,0.4)
}

.footer-bottom {
  background: #2F2C2B;
  padding: 14px 0;
  text-align: center;
}

.footer-bottom small {
  font-size: 12px;
  opacity: 0.95;
}

@media (max-width: 767px) {
  
  .footer-inner {
    max-width: 100%;
    padding: 0 20px;
  }
  
  .footer-main {
    background: #F72E52;
    padding: 30px 0 17px;
    text-align: center;
  }
  
  .footer-logo {
    width: 145px;
    margin: 0 auto 25px;
  }

  
  .footer-nav {
    width: 335px;
    max-width: 100%;
    margin: 0 auto 25px;
  }
  
  .footer-nav-list {
    list-style: none;
    padding: 0 20px;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 15px 0;
  }
  .footer-nav-list li {
    width: 130px;
    max-width: 50%;
    text-align: left;
  }
  
  .footer-nav-link {
    font-size: 10px;
    gap: 6px;
  }
  
  /* 遷移先に応じてアイコンを付与（PDF / 別窓） */
  .footer-nav-link::after {
    content: "";
    width: 15px;
    height: 15px;
    transform: translateY(-2px) translateX(-3px);
  }

  .footer-note {
    padding: 15px 0 0;
    font-size: 10px;
    line-height: 1.6;
  }
  
  .footer-bottom {
    background: #2F2C2B;
    padding: 7px 0;
    text-align: center;
  }
  
  .footer-bottom small {
    font-size: 10px;
  }
}


